# Fetch executions

{% hint style="warning" %}
**Pre-release** — The Intents Connect API is currently in development. If you're interested in early access, get in touch with the team.
{% endhint %}

## GET /api/v1/executions/{wallet}

> List executions for a wallet

```json
{"openapi":"3.0.3","info":{"title":"Intents Connect API","version":"1.0"},"servers":[{"url":"https://intents-connect-alpha-api.aurora.dev"}],"paths":{"/api/v1/executions/{wallet}":{"get":{"parameters":[{"description":"Origin wallet identifier.","in":"path","name":"wallet","required":true,"schema":{"type":"string"}},{"description":"Optional execution UUID filter. Accepts a single UUID or comma-separated UUIDs.","in":"query","name":"id","schema":{"type":"string"}},{"description":"Optional execution status filter. Accepts a single status or comma-separated statuses.","in":"query","name":"status","schema":{"enum":["CREATED","DEPOSIT_PENDING","DEPOSIT_PROCESSING","OPERATION_PENDING","OPERATION_PROCESSING","SUCCESS","DEPOSIT_FAILED","OPERATION_FAILED","EXPIRED"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.executionListResponse"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Bad Request"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/controllers.errorResponse"}}},"description":"Internal Server Error"}},"summary":"List executions for a wallet","tags":["Executions"]}}},"components":{"schemas":{"controllers.executionListResponse":{"properties":{"result":{"items":{"$ref":"#/components/schemas/controllers.executionDoc"},"type":"array"}},"type":"object"},"controllers.executionDoc":{"properties":{"createdAt":{"type":"string"},"details":{"$ref":"#/components/schemas/controllers.executionDetailsDoc"},"executionMode":{"enum":["quote_with_steps","steps_only"],"type":"string"},"id":{"type":"string"},"metadata":{"additionalProperties":{},"type":"object"},"quote":{"$ref":"#/components/schemas/controllers.executionQuoteDoc"},"status":{"enum":["CREATED","DEPOSIT_PENDING","DEPOSIT_PROCESSING","OPERATION_PENDING","OPERATION_PROCESSING","SUCCESS","DEPOSIT_FAILED","OPERATION_FAILED","EXPIRED"],"type":"string"},"steps":{"items":{"$ref":"#/components/schemas/controllers.executionStepEVMDoc"},"type":"array"},"type":{"type":"string"},"version":{"type":"string"}},"type":"object"},"controllers.executionDetailsDoc":{"properties":{"estimatedTime":{"type":"string"},"intermediaryAddress":{"type":"string"},"messageSigned":{"type":"boolean"},"messageToSign":{"type":"string"},"networkFee":{"type":"string"},"payload":{"$ref":"#/components/schemas/controllers.signingPayloadDoc"},"signingStandard":{"enum":["raw_ed25519","nep413","erc191"],"type":"string"}},"type":"object"},"controllers.signingPayloadDoc":{"properties":{"payload_bytes_base64":{"type":"string"},"payload_json":{"type":"string"},"standard":{"enum":["raw_ed25519","nep413","erc191"],"type":"string"}},"type":"object"},"controllers.executionQuoteDoc":{"properties":{"amount":{"type":"string"},"amountIn":{"type":"string"},"amountInUsd":{"type":"string"},"amountOut":{"type":"string"},"amountOutUsd":{"type":"string"},"deadline":{"type":"string"},"depositAddress":{"type":"string"},"destinationAsset":{"type":"string"},"minAmountIn":{"type":"string"},"minAmountOut":{"type":"string"},"originAsset":{"type":"string"},"recipient":{"type":"string"},"swapType":{"enum":["EXACT_INPUT","EXACT_OUTPUT"],"type":"string"}},"type":"object"},"controllers.executionStepEVMDoc":{"properties":{"functionSignature":{"type":"string"},"metadata":{"$ref":"#/components/schemas/controllers.stepMetadataDoc"},"parameters":{"items":{"type":"object"},"type":"array"},"to":{"type":"string"},"value":{"type":"string"}},"type":"object"},"controllers.stepMetadataDoc":{"properties":{"description":{"type":"string"},"name":{"type":"string"}},"type":"object"},"controllers.errorResponse":{"properties":{"error":{"type":"string"}},"type":"object"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intents.aurora.dev/intents-connect/intents-connect-api-reference/fetch-executions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
